Bug 221561 - databases/influxdb: Update to 1.3.3
Summary: databases/influxdb: Update to 1.3.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Richard Gallamore
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-16 12:05 UTC by Ari Suutari
Modified: 2017-08-26 02:29 UTC (History)
3 users (show)

See Also:
cheffo: maintainer-feedback+


Attachments
Diff for Makefile & distinfo. (1.20 KB, patch)
2017-08-16 12:05 UTC, Ari Suutari
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ari Suutari 2017-08-16 12:05:57 UTC
Created attachment 185480 [details]
Diff for Makefile & distinfo.

Diff to update influxdb version to 1.3.3.
Comment 1 Nick Saika 2017-08-22 14:24:17 UTC
I'd like to add in that version 1.3.3 includes some pretty substantial fixes, which are listed here: https://github.com/influxdata/influxdb/blob/v1.3.3/CHANGELOG.md.

This particular bugfix is pretty serious: https://github.com/influxdata/influxdb/issues/8500.
Comment 2 commit-hook freebsd_committer 2017-08-26 00:12:49 UTC
A commit references this bug:

Author: ultima
Date: Sat Aug 26 00:11:55 UTC 2017
New revision: 448745
URL: https://svnweb.freebsd.org/changeset/ports/448745

Log:
  * Updated to 1.3.3
  * Cleanup Makefile
  * Removed STRIP var, stripping go is always safe[1].

  [1] https://dominik.honnef.co/posts/2016/10/go-and-strip/

  PR:		221561
  Submitted by:	Ari Suutari
  Reviewed by:	matthew (mentor), mat
  Approved by:	matthew (mentor), cheffo (maintainer)
  Differential Revision:	https://reviews.freebsd.org/D12121

Changes:
  head/databases/influxdb/Makefile
  head/databases/influxdb/distinfo
Comment 3 Richard Gallamore freebsd_committer 2017-08-26 00:14:43 UTC
Committed, thanks!
Comment 4 Nick Saika 2017-08-26 02:29:57 UTC
Thank you very much!